NOvA Data Quality - Bug #4765

regular nearline plot making script seems slow
10/05/2013 02:50 PM - Michael Baird

Status: Closed Start date: 10/05/2013
Priority: Normal Due date:

Assignee: Michael Baird % Done: 100%
Category: Estimated time: 2.00 hours
Target version: Spent time: 1.00 hour
Description

| think that the regular nearline plot making script is slower than it needs to be (it may be making 2week and 2month plots when it
probably shouldn't be.) It might also be overlapping with itself since the cron job runs every 15 minutes (I don't think that there are
any protection things in place to prevent this.)

History

#1 - 10/05/2013 10:23 PM - Jarek Nowak

There is a protection against running multiple instances of this marco in
/home/nearline/Nearline/Commissioning/Nearline/UpdateNearlineWebpage.sh
This is the script which runs the plots maker.

The script actually doesn't create plots for last two weeks and last two months. The NPeriods is set to 3 which prevents it from filling histograms for
last 2 weeks and months.

You can run the marco for NDOS and FarDet separately (will be faster). The slowest part is the creation of the DCMS sync plots. It has to open huge
number of files. Perhaps it would be enough to make a plot for last 24 hr.

#2 - 11/04/2013 01:26 PM - Michael Baird
- Status changed from New to Closed

- % Done changed from 0 to 100
